#This is an example setup script for both building from source and running the
#binary release.  

###############################
#Required variables for running
###############################


###### External Software ######

#Change this if you use gcc295
export CMTCONFIG=i686-slc3-gcc323-dbg


# Initialise the online software
source /scratch/tdaq/tdaq-01-04-01/installed/setup.sh
# The above line sets TDAQ_JAVA_HOME amongst other things, at least if TDAQ has been installed properly.
export PATH=${TDAQ_JAVA_HOME}/bin:${PATH}
export PYTHONPATH=${TDAQ_INST_PATH}/${CMTCONFIG}/lib

# Setup the DataFlow software
# OLD! export DF_INST_PATH=/scratch/tdaq/DataFlow/DF-00-10-00/installed
# OLD! export PATH=${DF_INST_PATH}/${CMTCONFIG}/bin:${DF_INST_PATH}/share/bin:${PATH}
# OLD! export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${DF_INST_PATH}/${CMTCONFIG}/lib

# Setup the PVSS libraries - may not be necessary
#export PVSS_PATH=/atlas/daq/dcs/pvss2_v2.12
#export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${PVSS_PATH}/bin
#export PATH=${PATH}:${PVSS_PATH}/bin

#Setup ROOT
#export ROOTSYS=/afs/cern.ch/sw/root/v4.03.04/slc3_gcc3.2.3/root
export ROOTSYS=/atlas/daq/code/gcc323/root/v4.03.04/slc3_gcc3.2.3/root
#export ROOTSYS=/atlas/daq/root/gcc32/root

export PATH=${ROOTSYS}/bin:${PATH}
export LD_LIBRARY_PATH=${ROOTSYS}/lib:${LD_LIBRARY_PATH}

# Unfortunatley the online software people chose to bundle their own c++ library with their software and put it right at the beginning of LD_LIBRARY_PATH so that distros without the necessary c++ lib at CERN would still work.  However, this breaks everybody else's installation if they already have their own library which should be used in preference.  To get around this stupid stupid bug we need to kludge by adding the dir containing our libstdc++ (in our case /usr/local/lib) to the front of the search path:
export LD_LIBRARY_PATH=/usr/local/lib:${LD_LIBRARY_PATH}


######## Our Software #########

# The following should set SCT_DAQ_ROOT to the directory this script is run from
export SCT_DAQ_ROOT=/usera/sctrod/lester/TDAQ14_BRANCH/SctRodDaq

#Set this to your rod configuration (or nothing for the test setup)
# export SCTDAQ_ROD_CONFIGURATION_PATH=${SCT_DAQ_ROOT}/installed/config/rods/exampleRod.xml
export SCTDAQ_ROD_CONFIGURATION_PATH=${SCT_DAQ_ROOT}/installed/config/databases/realRod.xml

# Pick one of these (SCT_test will be set by default)
# export TDAQ_DB_DATA=${SCT_DAQ_ROOT}/installed/config/databases/SCT.data.xml
#export TDAQ_DB_DATA=${SCT_DAQ_ROOT}/installed/config/databases/SCT_nodcs.data.xml
export TDAQ_DB_DATA=${SCT_DAQ_ROOT}/installed/config/databases/SctPartition.data.xml
export TDAQ_DB_PATH=${TDAQ_DB_PATH}:${SCT_DAQ_ROOT}/installed/config/databases

#Only necessary if you share your online software installation
export TDAQ_IPC_INIT_REF=file:${SCT_DAQ_ROOT}/ipc.ref.file

# Directory to put IS proxy files
export SCT_SCRATCH_DIR=${SCT_DAQ_ROOT}/scratch

# Directory to permanently save data
export SCT_PERSISTENT_DIR=${SCT_DAQ_ROOT}/saved_data

################################
#Required variables for building
################################

#Add junit.jar to CLASSPATH.  You can get junit.jar from www.junit.org
export CLASSPATH=/atlas/daq/ext/junit.jar:$CLASSPATH

# Point to external java jar files etc
export SCT_DAQ_EXT=/atlas/daq/ext

# Point to external programs 
export BOOSTDIR=${SCT_DAQ_EXT}/gcc32/boost-1.30.2
export NAGDIR=${SCT_DAQ_EXT}/Nag_C

# The ".." in what follows is for lester only
export SCTPIXEL_DAQ_ROOT=$SCT_DAQ_ROOT/RodDaq

#####################################
#And finally, source the setup script
#####################################
cd ${SCT_DAQ_ROOT}
source ${SCT_DAQ_ROOT}/setup.sh
